import axios from "@/utils/request";

export function getBasicDestinyfilter(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/filter",
    method: "get",
    params: query
  });
}

export function addModeldestiny(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/addModeldestiny",
    method: "post",
    data: query
  });
}

export function editModeldestiny(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/editModeldestiny",
    method: "post",
    data: query
  });
}

export function delectModeldestiny(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/delectModeldestiny",
    method: "post",
    data: query
  });
}

export function filterDestinyProduct(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/product/filter",
    method: "get",
    params: query
  });
}

export function addModeldestinyProduct(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/addModeldestinyProduct",
    method: "post",
    data: query
  });
}


export function filterDestinyDelect(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/filterDestinyDelect",
    method: "get",
    params: query
  });
}

export function delectModeldestinyProduct(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/delectModeldestinyProduct",
    method: "get",
    params: query
  });
}

export function uploadModeldestinyProduct(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/uploadModeldestinyProduct",
    method: "post",
    data: query
  });
}

export function addDestinyProcess(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/addDestinyProcess",
    method: "get",
    params: query
  });
}


export function downloadBasicProject(query) {
  return axios({
    url: "/udiwms/basic/destiny/project/download",
    method: "post",
    data: query
  });
}


export function submitSkSkProject(query) {
  return axios({
    url: "/udiwms/basic/destiny/model/submitSkSkProject",
    method: "post",
    data: query
  });
}




